Module tdlight.api
Package it.tdlight.jni

# Class TdApi.DownloadFile

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.File>
it.tdlight.jni.TdApi.DownloadFile

Enclosing class:
  TdApi

public static final class TdApi.DownloadFile extends TdApi.Function<TdApi.File>
Downloads a file from the cloud. Download progress and completion of the download will be notified through updateFile updates.

Returns `File`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`fileId`
Identifier of the file to download.
`int`
`limit`
Number of bytes which need to be downloaded starting from the "offset" position before the download will be automatically canceled; use 0 to download without a limit.
`int`
`offset`
The starting position from which the file needs to be downloaded.
`int`
`priority`
Priority of the download (1-32).
`boolean`
`synchronous`
If false, this request returns file state just after the download has been started.

## Constructor Summary

Constructors
Constructor
Description
`DownloadFile()`
Downloads a file from the cloud.
`DownloadFile(int fileId, int priority, int offset, int limit, boolean synchronous)`
Downloads a file from the cloud.
`DownloadFile(DataInput input)`
Downloads a file from the cloud.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fileId

public int fileId
Identifier of the file to download.

### priority

public int priority
Priority of the download (1-32). The higher the priority, the earlier the file will be downloaded. If the priorities of two files are equal, then the last one for which downloadFile was called will be downloaded first.

### offset

public int offset
The starting position from which the file needs to be downloaded.

### limit

public int limit
Number of bytes which need to be downloaded starting from the "offset" position before the download will be automatically canceled; use 0 to download without a limit.

### synchronous

public boolean synchronous
If false, this request returns file state just after the download has been started. If true, this request returns file state only after the download has succeeded, has failed, has been canceled or a new downloadFile request with different offset/limit parameters was sent.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### DownloadFile

public DownloadFile()
Downloads a file from the cloud. Download progress and completion of the download will be notified through updateFile updates.

Returns `File`

### DownloadFile

public DownloadFile(int fileId, int priority, int offset, int limit, boolean synchronous)
Downloads a file from the cloud. Download progress and completion of the download will be notified through updateFile updates.

Returns `File`

Parameters:
  `fileId` - int Identifier of the file to download.
  `priority` - int Priority of the download (1-32). The higher the priority, the earlier the file will be downloaded. If the priorities of two files are equal, then the last one for which downloadFile was called will be downloaded first.
  `offset` - int The starting position from which the file needs to be downloaded.
  `limit` - int Number of bytes which need to be downloaded starting from the "offset" position before the download will be automatically canceled; use 0 to download without a limit.
  `synchronous` - boolean If false, this request returns file state just after the download has been started. If true, this request returns file state only after the download has succeeded, has failed, has been canceled or a new downloadFile request with different offset/limit parameters was sent.

### DownloadFile

public DownloadFile(DataInput input) throws IOException
Downloads a file from the cloud. Download progress and completion of the download will be notified through updateFile updates.

Returns `File`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`